Bug 804444 - [abrt] codeblocks-10.05-5.fc15: handle_error: Process /usr/bin/codeblocks was killed by signal 5 (SIGTRAP)
[abrt] codeblocks-10.05-5.fc15: handle_error: Process /usr/bin/codeblocks was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
abrt_hash:5d022af2fcb64adefd1ba396d2d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 16:19 EDT by moonli6ht
Modified: 2013-02-13 08:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:40:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (4.40 KB, text/plain)
2012-03-18 16:19 EDT, moonli6ht
no flags Details
File: dso_list (11.18 KB, text/plain)
2012-03-18 16:19 EDT, moonli6ht
no flags Details
File: maps (47.46 KB, text/plain)
2012-03-18 16:19 EDT, moonli6ht
no flags Details
File: backtrace (50.40 KB, text/plain)
2012-03-18 16:19 EDT, moonli6ht
no flags Details
File: backtrace (47.16 KB, text/plain)
2012-03-25 09:24 EDT, Andy Esnard
no flags Details

  None (edit)
Description moonli6ht 2012-03-18 16:19:30 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/codeblocks
comment:        The problem occurs after I installed Code::Blocks, and set up the compiler. It occurs every time I attempt to start up Code::Blocks
crash_function: handle_error
executable:     /usr/bin/codeblocks
kernel:         3.2.9-2.fc16.x86_64
pid:            4886
pwd:            /home/user/Documents
reason:         Process /usr/bin/codeblocks was killed by signal 5 (SIGTRAP)
time:           Sun 18 Mar 2012 08:06:40 PM GMT
uid:            1000
username:       user

backtrace:      Text file, 51610 bytes
build_ids:      Text file, 4510 bytes
dso_list:       Text file, 11448 bytes
maps:           Text file, 48600 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1351
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=localhost.localdomain
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=90e580311ab56e3c494bc27c0000000d-1332098683.809765-497631266
:XDM_MANAGED=method=classic,auto
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/user/.gtkrc-2.0:/home/user/.gtkrc-2.0-kde4:/home/user/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:USER=user
:SSH_AUTH_SOCK=/tmp/ssh-stMeBpio1329/agent.1329
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/user/.local/bin:/home/user/bin
:MAIL=/var/spool/mail/user
:PWD=/home/user
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/user
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=PolarCursorTheme
:LOGNAME=user
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Q3ePZwHfm6,guid=ec218d50fed95ad8d3f8afec00000018
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/user
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/user/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-user/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1431,unix/unix:/tmp/.ICE-unix/1431
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/user/.gtkrc:/home/user/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=localhost.localdomain;1332101197;231037;4858_TIME2537901

smolt_data:
:
:
:General
:=================================
:UUID: 96d79082-6f9c-4c33-a725-653eb7578196
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6428.97
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 840 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 5
:Number of CPUs: 4
:CPU Speed: 3200
:System Memory: 3955
:System Swap: 6015
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4163:33673) pci, ahci, STORAGE, M4A785TD Motherboard
:(4130:38409:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4318:3596:4163:33717) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4130:38401:4163:33854) pci, None, HOST/PCI, M5A88-V EVO
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4130:38403:4163:33854) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(5772:43:5772:12449) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4098:17308:4163:33673) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4163:33673) pci, None, SERIAL, M4A785TD Motherboard
:(4098:17309:4163:33673) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33819) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17305:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:4609:4163:33717) pci, nvidia, VIDEO, N/A
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38408:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13092922 11003078 10872044 3276800 3126250 3126250
:/dev/sda3 /boot ext4 1024 1024 508745 410457 384857 128016 127738 127738
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 107198114 99633804 94268044 26828800 26797310 26797310
:

var_log_messages:
:Mar 18 19:52:57 localhost kernel: [ 1718.414771] codeblocks[1937] trap int3 ip:359564d313 sp:7fff0536cb40 error:0
:Mar 18 19:52:58 localhost abrt[1949]: Saved core dump of pid 1937 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-03-18-19:52:57-1937 (71204864 bytes)
:Mar 18 19:53:13 localhost kernel: [ 1734.016389] codeblocks[1980] trap int3 ip:359564d313 sp:7fff04d30160 error:0
:Mar 18 19:53:13 localhost abrt[1992]: Not dumping repeating crash in '/usr/bin/codeblocks'
:Mar 18 19:58:52 localhost kernel: [ 2073.457059] codeblocks[2381] trap int3 ip:359564d313 sp:7fffc9cf1ca0 error:0
:Mar 18 19:58:53 localhost abrt[2393]: Saved core dump of pid 2381 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-03-18-19:58:52-2381 (71192576 bytes)
:Mar 18 19:59:44 localhost yum[2464]: Installed: codeblocks-10.05-5.fc15.x86_64
:Mar 18 19:59:52 localhost kernel: [ 2133.426394] codeblocks[2470] trap int3 ip:359564d313 sp:7fff0d3ba7f0 error:0
:Mar 18 19:59:53 localhost abrt[2483]: Saved core dump of pid 2470 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-03-18-19:59:52-2470 (71208960 bytes)
:Mar 18 20:01:41 localhost yum[2670]: Erased: codeblocks-10.05-5.fc15.x86_64
:Mar 18 20:06:19 localhost yum[4876]: Installed: codeblocks-contrib-libs-10.05-5.fc15.x86_64
:Mar 18 20:06:29 localhost yum[4876]: Installed: codeblocks-10.05-5.fc15.x86_64
:Mar 18 20:06:31 localhost yum[4876]: Installed: codeblocks-contrib-10.05-5.fc15.x86_64
:Mar 18 20:06:32 localhost yum[4876]: Installed: codeblocks-contrib-devel-10.05-5.fc15.x86_64
:Mar 18 20:06:34 localhost yum[4876]: Installed: codeblocks-devel-10.05-5.fc15.x86_64
:Mar 18 20:06:40 localhost kernel: [ 2541.645104] codeblocks[4886] trap int3 ip:359564d313 sp:7fff214e65f0 error:0
:Mar 18 20:06:41 localhost abrt[4902]: Saved core dump of pid 4886 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-03-18-20:06:40-4886 (75251712 bytes)

xsession_errors:
:Gdk-ERROR **: The program 'codeblocks' received an X Window System error.
:Gdk-ERROR **: The program 'codeblocks' received an X Window System error.
:/home/user/codeblocks-10.05-release/install-sh: no input file specified.
:Gdk-ERROR **: The program 'codeblocks' received an X Window System error.
:abrt-applet: repeated problem in codeblocks-10.05-5.fc15, not showing the notification
:Gdk-ERROR **: The program 'codeblocks' received an X Window System error.
:Failed to find service for KUrl("file:///usr/share/applications/fedora-codeblocks.desktop") 
:Failed to find service for KUrl("file:///usr/share/applications/fedora-codeblocks.desktop") 
:Cannot open desktop file  "/usr/share/applications/fedora-codeblocks.desktop" 
:Cannot open desktop file  "/usr/share/applications/fedora-codeblocks.desktop" 
:Gdk-ERROR **: The program 'codeblocks' received an X Window System error.
Comment 1 moonli6ht 2012-03-18 16:19:34 EDT
Created attachment 570950 [details]
File: build_ids
Comment 2 moonli6ht 2012-03-18 16:19:36 EDT
Created attachment 570951 [details]
File: dso_list
Comment 3 moonli6ht 2012-03-18 16:19:39 EDT
Created attachment 570952 [details]
File: maps
Comment 4 moonli6ht 2012-03-18 16:19:41 EDT
Created attachment 570953 [details]
File: backtrace
Comment 5 Andy Esnard 2012-03-25 09:23:55 EDT
J'ai eu le problème en lançant Code::Blocks, J'ai eu l'image de lancement de Code::Blocks, puis, La fenêtre c'est ouverte et refermée en deux seconde, sans que je l'ai voulu.

backtrace_rating: 4
Package: codeblocks-10.05-5.fc15
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 6 Andy Esnard 2012-03-25 09:24:04 EDT
Created attachment 572530 [details]
File: backtrace
Comment 7 Fedora End Of Life 2013-01-16 08:00:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 08:40:14 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.